Package: ruby-rack-flash3 / 1.0.5-2

Metadata

Package Version Patches format
ruby-rack-flash3 1.0.5-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
fix_requires.patch | (download)

example/sinatra_app.rb | 3 1 + 2 - 0 !
test/helper.rb | 6 2 + 4 - 0 !
2 files changed, 3 insertions(+), 6 deletions(-)

 fix requires: rubygems, etc.
 Dependencies for tests are satisfied by Build-Depends. Remove the
 require 'rubygems' and versioned dependency on sinatra. Likewise,
 remove it from examples and change the require 'rack-flash' to use
 the installed version.
extend_not_include_rack_test_methods.patch | (download)

test/test_flash.rb | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 need to 'extend', not 'include' rack::test::methods
 Bacon is used incorrectly. We need to use instead instead of include
 as described in https://github.com/chneukirchen/bacon/issues/4
 .
 ruby-rack-flash3 (1.0.3-1) UNRELEASED; urgency=low
 .
   * Initial release (Closes: #719308)